---
author: SchrodingersGat
title: 2023 in Review
---

## 2023 in Review

Once again, the InvenTree development team has had a very busy year! In 2023, we have released 3 major stable versions of the InvenTree software, with a significant number of new features and improvements. It is also worth noting that we have had a huge number of new contributors to the project, and we would like to thank everyone who has helped make this possible!

### Release Milestones

This was a very active year for the project, especially in terms of core software development. A huge array of new features have been implemented, and significant performance improvements have been made across the board.

#### 0.10.0

In February, we released [version 0.10.0](https://github.com/inventree/InvenTree/releases/tag/0.10.0), with over 100 commits from 6 contributors (including 3 new contributors).

#### 0.11.0

In April, we released [version 0.11.0](https://github.com/inventree/InvenTree/releases/tag/0.11.0). Again, this release included contributions from 3 new developers, which was very exciting! With 142 commits to the project, this was again a significant release milestone.

#### 0.12.0

In June, we released [version 0.12.0](https://github.com/inventree/InvenTree/releases/tag/0.12.0). Once again, this release included contributions from 3 new developers, and included a huge number of new features and improvements. The 0.12.0 release included 237 commits from 14 contributors, making it the most significant release of InvenTree to date!

### Developers

We now have over 75 developers who have contributed to the project, with many new developers making their first contribution in 2023. We would like to thank everyone who has contributed to the project, and we hope to see many more developers getting involved in the future!

### Translation Effort

The [language translation effort](https://crowdin.com/project/inventree) continues to build momentum, with over 30 languages now supported by the project. There are also over 300 contributors to the translation effort, which is incredible! It is very exciting to see InvenTree being used by people all over the world, and working to translate it into their native language.

Thanks to the [crowdin project](https://crowdin.com) which makes this possible!

### Digital Ocean Sponsorship

In 2023 we were honoured to receive a sponsorship from [Digital Ocean](https://www.digitalocean.com/). This sponsorship funds hosting for the InvenTree demo server instance, and we are very grateful for their support! If you are looking for a cloud hosting provider, consider using Digital Ocean.

### KiCad Integration

In September 2023, we were happy to announce that InvenTree can now be used as a [KiCad symbol library](/blog/2023/09/26/kicad.html), using a custom plugin developed by one of our users. This is a huge step forward for the project, and allows InvenTree to be used as a first-class symbol library for KiCad.

### Chaos Computer Club Talk

In December, Matthias, one of our lead developers, presented a lightning talk on InvenTree at the [Chaos Communication Congress](https://events.ccc.de/congress/2023/infos/index.html), which received a lot of positive feedback. It was a great opportunity to showcase the project to a wider audience, and we hope to see more people getting involved in the project as a result.

You can view the talk online [here](https://media.ccc.de/v/37c3-lightningtalks-58014-inventree-oss-inventory-and-plm).

## Upcoming in 2024

It is hard to believe that we are already in 2024! We have a lot of exciting plans for the project this year, and we are looking forward to seeing what the year brings.

### Outstanding Issues

At the time of writing this blog, there are over [180 outstanding issues](https://github.com/inventree/InvenTree/issues) in the project. This is largely due to an influx of new users, who have been reporting bugs and requesting new features. We are working hard to address these issues, and we hope to see the number of outstanding issues decrease over the coming months. 

Attracting new developer talent to the project is a key goal for 2024, and we hope to see many new developers getting involved in the project. If you use InvenTree and would like to help out, please read our contribution guide and get in touch!

### Issue Funding

In an effort to focus developer attention, and also potentially attract new developers to the project, we will be experimenting with a new funding model for the project. This would allow users to fund the development of specific issues, and would allow us to focus our efforts on the most important issues.

Moving forward, we will be tagging specific issues with a *funding* label, which will indicate that the issue is available for funding. If you would like to see a specific issue addressed, please consider funding it! 

Funds allocated to a specific issue will be shared between the developers who work on the issue, as well as the maintainers of the InvenTree project.

We are making use of the [polar.sh](https://polar.sh) platform to manage the funding process. Please note that we are not affiliated with polar.sh, we are simply using it as a tool to manage the funding process.

We will *not* be asking for funding for every issue, and we will continue to work on issues which are not funded!

### User Interface Refactor

We are continuing to work towards the goal of [refactoring the user interface](/blog/2023/08/28/react). This is a major project and will take some time to complete.

While the new frontend is progressing well, we would love to see more developers getting involved in the project. In particular, we are looking for support from front-end developers who have experience with React. If you would like to help out, please get in touch!

### Plugin System

The plugin system has been a major focus of development in 2023, and we hope to see this continue in 2024. We are working towards a more flexible plugin system, which will allow for more complex plugins to be developed.

As more users (both individuals and businesses) start to use InvenTree, we have seen a significant increase in demand for custom plugins. In particular, we have received a lot of interest in plugins providing integration with other business / enterprise software systems. To allow this, the plugin system does need further development, and we hope to see this happen in 2024.

### Documentation

The InvenTree development team is very small, and we are always looking for help with documentation. If you are able to contribute to the project by helping us with documentation, please reach out to us. Writing good quality documentation is a real skill, and just as crucial to a software project as the code itself. If you have any experience or interest in technical writing, please consider helping us out!

## Sponsor the Project

There are now many businesses (small and large) using InvenTree to support their operations. If you are using InvenTree in your business, please consider [sponsoring the project](https://github.com/sponsors/inventree/). The InvenTree project is maintained by developers in their "spare" time, and financial sponsorship allows us to dedicate more time to the project.

You can provide a one-off or monthly sponsorship, or sponsor a specific feature or plugin!

